黑色摩天轮

黑色摩天轮

85飞吻 2016-9-24 加入 来自朝阳

(这个人懒得留下签名)

黑色摩天轮 最近的提问

黑色摩天轮 最近的回答

  • 2017-11-20 10:50:18layDate和layer 弹出层插件 一起使用会有BUG中回答:

    @Ilymfa 太早了 忘了[汗]
  • 2017-5-17 10:12:12用webpack 打包layui 报错中回答:

    @头上有犄角

    在 localStorage里写入底下那两个值。就可以跳过登录验证了。我现在已离职 没有改密码的权限了。github上只有前端源码,后端服务没有,所以跑步起来。
  • 2017-5-2 20:39:0用webpack 打包layui 报错中回答:

    @海棠叶 https://github.com/zhaoweihan/supplierClient
  • 2017-5-2 20:38:39用webpack 打包layui 报错中回答:

    @前端萌新 https://github.com/zhaoweihan/supplierClient
  • 2017-5-2 20:38:17用webpack 打包layui 报错中回答:

    @正在加载 @唯yi https://github.com/zhaoweihan/supplierClient
  • 2017-5-2 20:37:59用webpack 打包layui 报错中回答:

    @清风406 https://github.com/zhaoweihan/supplierClient
  • 2016-9-29 16:54:20layer.js 怎么用require.JS来加载中回答:

    @Linyer 按照你的方法 还是不行,还是没有jq的依赖。我在require.config 里配置了个shim,这下就可以了
    但是 还是有个问题,他自己内部的css 不起效果了,我只能在页面上引入layer.css
    require.config({
    paths: {      
    "jquery": "http://cdn.bootcss.com/jquery/2.2.4/jquery.min",
    "ChengPinJia":"/ChengPinJia/js/ChengPinJia",
    "layer":"/ChengPinJia/js/layer/layer"
    },
    shim: {
    "layer": {        
    deps: ['jquery'],
    exports: 'layer'      
    }
    } 
    });

    require(["jquery","layer", "ChengPinJia"], function($, layer,cpj) {
    layer.msg(cpj.getUrlparam("name"));
    console.log(cpj.getUrlparam("name"));
    console.log(cpj.addNum(1,2));
    });
  • 2016-9-29 14:13:19layer.js 怎么用require.JS来加载中回答:

    @Linyer 我把layer文件夹放在了js目录下,但是如果设置require的基础路径,路径就是js/layer.js。导致路径不对,要是设置了基础路径,就又报了上一个错误,没有jquery
    require.config({
    baseUrl:"js/layer",   
    paths: {      
    "jquery": "http://cdn.bootcss.com/jquery/2.2.4/jquery.min"
    } 
    });

    require(["jquery", "layer"], function($) {
    layer.config({
    path: '/js/layer/'
    });
    $("#h2").text("我是标题");
    layer.msg("哈哈");
    var cpj = {
    getUrlparam: function() {
    alert(1);
    return this;
    }
    }
    });
  • 2016-9-29 14:12:45layer.js 怎么用require.JS来加载中回答:

    @黑色摩天轮 我把layer文件夹放在了js目录下,但是如果设置require的基础路径,路径就是js/layer.js。导致路径不对,要是设置了基础路径,就又报了上一个错误,没有jquery
    require.config({
    baseUrl:"js/layer",   
    paths: {      
    "jquery": "http://cdn.bootcss.com/jquery/2.2.4/jquery.min"
    } 
    });

    require(["jquery", "layer"], function($) {
    layer.config({
    path: '/js/layer/'
    });
    $("#h2").text("我是标题");
    layer.msg("哈哈");
    var cpj = {
    getUrlparam: function() {
    alert(1);
    return this;
    }
    }
    });
  • 2016-9-29 13:48:7layer.js 怎么用require.JS来加载中回答:

    @Linyer 符合AMD 规范么
  • 2016-9-28 18:58:4layDate和layer 弹出层插件 一起使用会有BUG中回答:

    @Joe 那怎么配置参数呢